/* slurp-example-simple.c
 *
 * Copyright (C) 2017 Julian Richen
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <slurp/slurp.h>

int
main (int    argc,
      char **argv)
{
    SlurpResource *resource = NULL;
    gchar *source;
    gchar *target;
    gboolean overwrite;

    source = "https://www.google.com/images/branding/googlelogo/1x/googlelogo_color_272x92dp.png";
    target = "/home/julian/Downloads/temp/";
    overwrite = FALSE;

    resource = g_object_new (SLURP_TYPE_RESOURCE,
                             "source", source,
                             "target", target,
                             "overwrite", overwrite,
                             NULL);

    g_print ("SOURCE: %s\n", slurp_resource_get_source (resource));
    g_print ("TARGET: %s\n", slurp_resource_get_target (resource));

    return 0;
}
